EUCA-DESCRIBE-SUBNETS(1)

NAME
euca-describe-subnets - Show information about one or more VPC subnets

SYNOPSIS
euca-describe-subnets [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [SUBNET [SUBNET ...]]

DESCRIPTION
Show information about one or more VPC subnets

  positional arguments:

SUBNET
    limit results to specific subnets

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:
availability-zone available-ip-address-count

the number of unused IP addresses in the
    subnet

cidr-block
    the subnet's CIDR address block

default-for-az
    whether this is the default subnet for the availability zone state subnet-id tag-key key of a tag assigned to the subnet tag-value value of a tag assigned to the subnet tag:KEY specific tag key/value combination vpc-id the associated VPC's ID